Package com.orchestranetworks.workflow

# Class WorkflowLauncherInfoHelper

java.lang.Object
com.orchestranetworks.workflow.WorkflowLauncherInfoHelper

public final class WorkflowLauncherInfoHelper extends Object
This class provides utility methods for retrieving and processing information about available workflow launcher activations. It includes methods to query the EBX repository based on specific criteria and construct a list of WorkflowLauncherInfo objects.

Since:
  6.2.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WorkflowLauncherInfoHelper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static List<WorkflowLauncherInfo>`
  `getAvailableActivations(Repository repository, Adaptation dataset, String tableInput, String locale)`
  Retrieves a list of WorkflowLauncherInfo objects representing available workflow launcher activations.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WorkflowLauncherInfoHelper

    public WorkflowLauncherInfoHelper()

- ## Method Details

  - ### getAvailableActivations

    public static List<WorkflowLauncherInfo> getAvailableActivations(Repository repository, Adaptation dataset, String tableInput, String locale)
    Retrieves a list of WorkflowLauncherInfo objects representing available workflow launcher activations. This method queries the EBX repository for launcher activations that match specific criteria, including the target data model and a specified table within that data model. It constructs a list of WorkflowLauncherInfo instances based on the query results, and then enriches each instance with documentation retrieved.
    Parameters:
      `repository` - The repository from which to fetch the workflow launcher activations. This repository must contain the workflow launcher configurations.
      `dataset` - The dataset context within which to filter the activations. Only activations that are associated with this dataset's schema location will be considered.
      `tableInput` - The name of the table to match within the activations. This method filters the activations to include only those associated with this table.
      `locale` - The locale to use when retrieving localized documentation for each activation. This is passed to ensure that documentation is localized appropriately.
    Returns:
      A list of WorkflowLauncherInfo objects representing the filtered set of available workflow launcher activations. If no activations match the criteria, an empty list is returned. This method guarantees that the list is non-null.
    Throws:
      `com.onwbp.base.misc.EbxRuntimeException` - if an error occurs during the retrieval of documentation for any activation. This exception wraps the original MdpRecordAccessException